/*
 * titraxDB.h
 *
 * database subroutines for titrax
 *
 * $Id: titraxDB.h,v 1.2 1997/11/15 17:59:29 ga58 Exp ga58 $
 *
 * $Log: titraxDB.h,v $
 * Revision 1.2  1997/11/15 17:59:29  ga58
 * *** empty log message ***
 *
 * Revision 1.1  1997/11/14 17:51:04  ga58
 * Initial revision
 *
 */

#ifndef titraxDB_h
#define titraxDB_h

extern void CreateDatabase(void);
extern void OpenDatabase(void);
extern void CloseDatabase(void);

extern void CreateRecords(void);

extern Handle GetRecordHandle(Int idx);
extern void ReleaseRecordHandle(Int idx, Boolean dirty);

extern Boolean IsRunning(Int no);
extern void SetRunning(Int no, Boolean val);
extern ULong GetElapsed(Int no);
extern void SetElapsed(Int no, ULong val);
extern ULong GetStartedAt(Int no);
extern void SetStartedAt(Int no, ULong val);
extern void GetText(Int no, CharPtr charP);
extern void SetText(Int no, CharPtr charP);
extern Boolean TextIsEmpty(Int no);

extern VoidHand GetNote(Int no);
extern void SetNote(Int no, CharPtr charP);
extern Boolean NoteIsEmpty(Int no);
extern Int NoteLen(Int no);
extern void ClearNote(Int no);

#endif
